if HAVE_MUINE
# Simple component buildsystem
include $(top_srcdir)/build.plugins.rules.mk

module_DATA += \
	Resources/muine.provider
else
# don't DIST MuineDatabase.cs, because it's auto-generated by autoconf
EXTRA_DIST = src/MuinePlugin.cs
endif

ASSEMBLY = Muine
TARGET = library

FILES = \
	src/MuineDatabase.cs \
	src/MuinePlugin.cs

REFERENCES =  \
	$(LOG_4_NET_LIBS) \
	$(NINI_LIBS) \
	Mono.Posix \
	System \
	System.Xml

PROJECT_REFERENCES = \
	daap-sharp \
	Tangerine

EXTRA_DIST += \
	Resources/muine.provider
